ipa_module_info.h File Reference

Image Processing Algorithm module information. More...

`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | libcamera::IPAModuleInfo
| Information of an IPA module. More...

## Macros

#define | IPA_MODULE_API_VERSION 1
| The IPA module API version. More...

## Variables

const struct IPAModuleInfo | libcamera::ipaModuleInfo
| Information of an IPA module. More...

## Detailed Description

Image Processing Algorithm module information.

## Macro Definition Documentation

## IPA_MODULE_API_VERSION

#define IPA_MODULE_API_VERSION 1

The IPA module API version.

This version number specifies the version for the layout of struct IPAModuleInfo. The IPA module shall use this macro to set its moduleAPIVersion field.

See also
  IPAModuleInfo::moduleAPIVersion

## Variable Documentation

## ipaModuleInfo

libcamera::ipaModuleInfo

extern

Information of an IPA module.

An IPA module must export a struct IPAModuleInfo of this name.